gnutls_aead_cipher_set_key(3)

NAME
gnutls_aead_cipher_set_key - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_aead_cipher_set_key(gnutls_aead_cipher_hd_t handle, const gnutls_datum_t * key);

ARGUMENTS

gnutls_aead_cipher_hd_t handle
    is a gnutls_aead_cipher_hd_t type.

const gnutls_datum_t * key
    The key to be used for encryption

DESCRIPTION
This function will set a new key without re-initializing the context.

RETURNS
Zero or a negative error code on error.

SINCE
3.7.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/